%define qtmajor 5
%define qtminor 5
%define qtsubminor 1
%define rel 4

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtwebkit-examples-opensource-src-%{qtversion}

Name: qtwebkit5-examples-and-demos
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qtwebkit5-devel 
BuildRequires: qtwebkitwidgets5-devel
BuildRequires: qtqml5-devel 
BuildRequires: qtquick5-devel
BuildRequires: qtxmlpatterns5-devel
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(gstreamer-video-1.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia
Patch0:        qtwebkit5-examples-and-demos-5.1.1-fix-build.patch

%description
Examples and demos for QtWebkit5.

#------------------------------------------------------------------------------

%package -n qtwebkit5-examples
Summary: Examples for QtWebkit5
Group:   Documentation

%description -n qtwebkit5-examples
Examples for QtWebkit5.

%files -n qtwebkit5-examples
%_qt5_examplesdir/webkitqml
%_qt5_examplesdir/webkitwidgets

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%qmakeinstall_std


%changelog
* Fri Jul 08 2016 daviddavid <daviddavid> 5.5.1-4.mga6
+ Revision: 1039868
- add patch to fix build against Qt 5.6.1

* Tue Feb 16 2016 umeabot <umeabot> 5.5.1-3.mga6
+ Revision: 962567
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 895675
- Use GStreamer 1.0
- New version 5.5.1

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853393
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 802020
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 742121
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688567
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639795
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624047
- 5.3.0

* Sat Oct 19 2013 umeabot <umeabot> 5.0.2-2.mga4
+ Revision: 523419
- Mageia 4 Mass Rebuild

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410418
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394009
- New version 5.0.1 Final

* Sun Jan 27 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392587
- imported package qtwebkit5-examples-and-demos

